TestWiki (multiple choice test similar to Quiz)
Closed, DeclinedPublic

Description

Author: Bernhard.Fastenrath

Description:
The idea is to use tags in a page to mark test items, questions and answers and to generate an XML-formatted test database from wiki pages. Tests would be edited as a wiki but would require an Applet or JavaWebstart program to take a test.
Advantages are that the program can re-order questions and answers, can generate statistics for successful and unsuccessful answers and increase or decrease the probability accordingly.
The user can also write annotations, assign own categories to test items and filter or mix question pools or add his own questions.
One could, for instance, imagine a "Test:" namespace for Wikipedia with questions about articles.
(See the URL for a full description.)


Version: unspecified
Severity: enhancement
URL: http://wiki.laptop.org/go/User:Fasten/TestWiki

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz17129.
bzimport created this task.Via LegacyJan 23 2009, 4:19 PM
Aklapper added a comment.Via ConduitAug 24 2014, 1:18 PM

(In reply to Bernhard Fastenrath from comment #0)

but would require an Applet or JavaWebstart program to take a test.

That sounds very uncommon to happen.

Advantages are that the program can re-order questions and answers, can
generate statistics for successful and unsuccessful answers and increase or
decrease the probability accordingly.

I don't see why Quiz itself couldn't store this in a database table if this was wanted - in any case it's a separate request.

The user can also write annotations, assign own categories to test items and
filter or mix question pools or add his own questions.

These all feel like separate requests. One issue per report, please. :)

One could, for instance, imagine a "Test:" namespace for Wikipedia with
questions about articles.

(See the URL for a full description.)

That page is deleted.

In general, this ticket feels slightly more like a solution in search of a problem, plus it covers many aspects that should be separate tasks instead.

Proposing INVALID/WONTFIX.

jayvdb closed this task as "Declined".Via WebFeb 17 2015, 7:20 AM
jayvdb claimed this task.
jayvdb added a subscriber: jayvdb.

fwiw, the full text of that URL is still visible at http://wiki.laptop.org/index.php?title=User:Fasten/TestWiki&oldid=223978

But, I agree that this sounds like a lot of features , or an entirely new extension, and it hasnt seen any feedback from interested parties since the start of 2009. Marking this task Declined as written, and I suggest creating new tasks for discrete enhancements to the Quiz extension, and also discuss these enhancement requests on Wikiversity / another mediawiki education group, and attract the attention of developers.

Add Comment